package com.agri.common.enums;

/**
 * @ClassName TempCommandStatus
 * @Description TODO
 * @Author lld
 * @Date 2026/3/6 2:46
 * @Version 1.0
 */
public enum TempCommandStatus {
    OPEN(1, "下发开指令"),
    CLOSE(2, "下发关指令"),
    NO_OPERATE(0, "不操作");

    private final int code;
    private final String desc;

    TempCommandStatus(int code, String desc) {
        this.code = code;
        this.desc = desc;
    }


    public int getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }
}
// 使用：status.getCode() → 1/2/0
